com.trendmicro.ds.platform.rest.object

## Class Script

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.Script

-     public class Script
      extends java.lang.Object

  Details of a script.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Script()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getID()` Get the script identifier.
    `java.lang.String` | `getName()` Get the script name.
    `void` | `setID(java.lang.Integer id)` Set the script identifier.
    `void` | `setName(java.lang.String name)` Set the script name.
    `Script` | `withID(java.lang.Integer id)` Set the script identifier.
    `Script` | `withName(java.lang.String name)` Set the script name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Script

          public Script()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the script identifier.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the script identifier.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the script identifier.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the script identifier.

    - #### withID

          public Script withID(java.lang.Integer id)

      Set the script identifier.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the script identifier.
      Returns:
        the updated ReportTemplate object.

    - #### getName

          public java.lang.String getName()

      Get the script name.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the script name.

    - #### setName

          public void setName(java.lang.String name)

      Set the script name.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `name` - the script name.

    - #### withName

          public Script withName(java.lang.String name)

      Set the script name.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `name` - the script name.
      Returns:
        the updated ReportTemplate object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.